Subject: Re: [PATCH] rhashtable: Better error message on allocation failure

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Nov 2023 18:15:20 -0800

On Tue, 28 Nov 2023 20:57:05 -0500 Kent Overstreet wrote:
> > Yes, that's problematic :(
> > Let's leave out the GFP_NOWARN and add a pr_warn() instead of
> > the WARN()?  
> 
> pr_warn() instead of WARN() is fine, but the stack trace from
> warn_alloc() will be entirely useless.
> 
> Perhaps if we had a GFP flag to just suppress the backtrace in
> warn_alloc() - we could even stash a backtrace in the rhashtable at
> rhashtable_init() time, if we want to print out a more useful one.

Interesting idea, up to you how far down the rabbit hole you're
willing to go, really :)

Stating the obvious but would be good to add to the commit message,
if you decide to implement this, how many rht instances there are
on a sample system, IOW how much memory we expect the stacks to burn.